Bug 196042 - Permissions for /dev/net/tun are too restrictive.
Permissions for /dev/net/tun are too restrictive.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: MAKEDEV (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 11:59 EDT by David Woodhouse
Modified: 2008-05-06 20:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-06-20 11:59:01 EDT
There's no reason not to allow unprivileged users to open /dev/net/tun -- you
need CAP_NET_ADMIN to do anything interesting with it anyway, unless a
persistent device has been created and specifically given to the user in
question... in which case it's extremely _useful_ for them to be able to use it.

Please change the default mode to 0666.
Comment 1 David Woodhouse 2006-06-20 12:03:51 EDT
Oops, I lie -- we do allow users to create new devices. I'll need to fix that in
the kernel first. 
Comment 2 Nalin Dahyabhai 2006-06-20 13:22:37 EDT
(In reply to comment #1)
> Oops, I lie -- we do allow users to create new devices. I'll need to fix that in
> the kernel first. 

David, please let me know which version of the kernel package introduces this
fix, so that I can make the package conflict with older versions which don't
contain the fix.  Then I'll be happy to make this change.
Comment 3 David Woodhouse 2006-06-29 03:58:20 EDT
Fixed in kernel 2.6.17-1.2309_FC6.
Comment 4 Bug Zapper 2008-04-03 13:29:52 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:33:51 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.